﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pause : MonoBehaviour
{
	bool paused;
	public GameObject pause;

   void Start()
    {
        paused = false;
    }

	void Update()
	{

		if (Input.GetKeyDown(KeyCode.Escape))
		{
			pause.SetActive (true);
			PauseController ();
		}

	}
	public void RestartLevl()
	{
        Time.timeScale = 1;
        paused = false;
        Application.LoadLevel ("Intro");
	}
	public void PauseController()
	{
		if (!paused)
        {
			Time.timeScale = 0;
			paused = true;
			pause.gameObject.SetActive (true);
		}
        else
        {
			Time.timeScale = 1;
			paused = false;
			pause.gameObject.SetActive (false);
		}
	}
	public void QuitLevl()
	{
		Application.Quit ();
	}
}

