﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player1 : MonoBehaviour {

    float time = 4;

    public Player1 move1;
    public AttackLeft attackleft;
    public AttackUp attackup1;
    public AudioClip[] audioClip;

    public float maxSpeed = 10f;
    public float jumpForce = 0f;
    bool facingRight = false;
    public bool grounded = false;
    
   
    public float move;
    private Animator anim;
    private GameObject player1;
    private GameObject player;

    public int curHealth;
    public int maxHealth=4;

    void Start()
    {
        move1 = GetComponent<Player1>();
        attackleft = GetComponent<AttackLeft>();
        attackup1 = GetComponent<AttackUp>();

        player = GameObject.Find("Player2_sprite");
        player1 = GameObject.Find("Player1_sprite");
        anim = player1.GetComponent<Animator>();
        curHealth = maxHealth;
    }

    void FixedUpdate()
    {
        
        move = Input.GetAxis("Horizontal");
        
            }

    void Update()
    {
        anim.SetBool("grounded", grounded);
        anim.SetFloat("speed", Mathf.Abs(Input.GetAxis("Horizontal")));

        if (Input.GetKeyDown(KeyCode.UpArrow) && grounded) 
        {   
           GetComponent<Rigidbody2D>().AddForce(Vector2.up * jumpForce);    
        }


        GetComponent<Rigidbody2D>().velocity = new Vector2(move * maxSpeed, GetComponent<Rigidbody2D>().velocity.y);

        if (move > 0 && !facingRight)
            Flip();
        else if (move < 0 && facingRight)
            Flip();

        if (curHealth>maxHealth)
        {
            curHealth = maxHealth;
        }

        if(curHealth<1)
        {
            Die();
            Invoke("ChangeLevel", 4.0f);
        }
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 theScale = transform.localScale;
        theScale.x *= -1;
        transform.localScale = theScale;
    }

    public void Damage(int dmg)
    {
        curHealth -= dmg;
        PlaySound(0);
    }

    void Die()

    {
        PlaySound(1);
       
        anim.SetBool("isdead", true);
        player.GetComponent<Animator>().SetBool("win", true);
        GameObject.FindGameObjectWithTag("Player2").GetComponent<Player2>().enabled = false;
        GameObject.FindGameObjectWithTag("Player2").GetComponent<AttackUp1>().enabled = false;
        GameObject.FindGameObjectWithTag("Player2").GetComponent<AttackRight>().enabled = false;

        GameObject.Find("fartdamage").GetComponent<Fart>().enabled = false;


        attackleft.enabled = false;
        attackup1.enabled = false;
        move1.enabled = false;
    }
    void PlaySound(int clip)
    {
        AudioSource audio = GetComponent<AudioSource>();
        audio.clip = audioClip[clip];
        audio.Play();

    }

    void ChangeLevel()
    {
        Application.LoadLevel("Intro");
    }
}
