﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AttackLeft : MonoBehaviour {

    public GameObject attackLeft;
    public GameObject player;
    public AudioClip[] audioClip;


    void Start()
    {
        player = GameObject.Find("Player1_sprite");
        player.GetComponent<Animator>();
    }
        void Update()
    {
        if (Input.GetKeyDown(KeyCode.DownArrow))
        {
            attackLeft.gameObject.SetActive(true);
            player.GetComponent<Animator>().SetBool("attack_side", true);
            PlaySound(0);
        }
        else if (Input.GetKeyUp(KeyCode.DownArrow))
        {
            attackLeft.gameObject.SetActive(false);
            player.GetComponent<Animator>().SetBool("attack_side", false);
        }
    }
    void PlaySound(int clip)
    {
        AudioSource audio = GetComponent<AudioSource>();
        audio.clip = audioClip[clip];
        audio.Play();

    }
}
